--Configuration setup
function SetupConfig()
--Locale loading
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
local options = {
    name = L["OptionFrameTitle"],
    handler = StrudelStoreConfig,
    type = 'group',
    args = {
		generalgroup = {
			name = "General",
			type = "group",
			args = {
				minimap = {
					type = 'toggle',
					name = L["ShowMinimap"],
					desc = L["CheckMinimap_ToolTip"],
					set = 'SetMinimapButton',
					get = 'GetMinimapButton',
				},  
				onlogin = {
					type = 'toggle',
					name = L["ShowOnLogon"],
					desc = L["CheckLogon_ToolTip"],
					set = 'SetLogonShow',
					get = 'GetLogonShow',
				},
			},
			inline = true,
		},
		layoutgroup = {
			name = "Layout",
			type = "group",
			args = {
					layout = {
						type = 'select',
						name = 'Current Layout',
						desc =  L["SetLayout_ToolTip"],
						set = 'SetLayout',
						get = 'GetLayout',
						values = { 
							[1] = "Standard",
						},
					},
				
			},
			inline = true,
		},
		extragroup = {
			name = "Other",
			type = "group",
			args = {
					portaltabvisible = {
						type = 'toggle',
						name = L["ShowPortalTab"],
						desc = L["CheckTab2_ToolTip"],
						set = 'SetPortalTab',
						get = 'GetPortalTab',
					},
					layout = {
						type = 'toggle',
						name = L["ShowTeleportTab"],
						desc = L["CheckTab3_ToolTip"],
						set = 'SetTeleportTab',
						get = 'GetTeleportTab',
					},
				
			},
			inline = true,
		},
        
		 
		
    },
};
StrudelStoreConfig:RegisterOptionsTable("StrudelStore", options, {"strudel", "strudelstore"});
StrudelStoreConfigDialog:AddToBlizOptions("StrudelStore","StrudelStore ".. GetAddOnMetadata("StrudelStore", "Version"));
end

--Getters and Setters
--Minimap
function StrudelStoreConfig:GetMinimapButton(info)
    return StrudelStoreMain.db.char.minimap.show;
end

function StrudelStoreConfig:SetMinimapButton(info, input)
    StrudelStoreMain.db.char.minimap.show = input;
end

--Startup
function StrudelStoreConfig:GetLogonShow(info)
    return StrudelStoreMain.db.char.startupshow;
end

function StrudelStoreConfig:SetLogonShow(info, input)
    StrudelStoreMain.db.char.startupshow = input;
end

--Layout
function StrudelStoreConfig:GetLayout(info)
    return StrudelStoreMain.db.char.currlayout;
end

function StrudelStoreConfig:SetLayout(info, input)
    StrudelStoreMain.db.char.currlayout = input;
end

--Portal Tab
function StrudelStoreConfig:GetPortalTab(info)
    return StrudelStoreMain.db.char.showportaltab;
end

function StrudelStoreConfig:SetPortalTab(info, input)
    StrudelStoreMain.db.char.showportaltab = input;
end

--Teleport Tab
function StrudelStoreConfig:GetTeleportTab(info)
    return StrudelStoreMain.db.char.showteleporttab;
end

function StrudelStoreConfig:SetTeleportTab(info, input)
    StrudelStoreMain.db.char.showteleporttab = input;
end