--Library loading
StrudelStoreMain = LibStub("AceAddon-3.0"):NewAddon("StrudelStore", "AceEvent-3.0");
StrudelStoreConsole = LibStub("AceConsole-3.0");
StrudelStoreConfig = LibStub("AceConfig-3.0");
StrudelStoreConfigDialog = LibStub("AceConfigDialog-3.0");
StrudelStoreGui = LibStub("AceGUI-3.0");

--Register Slash commands
StrudelStoreConsole:RegisterChatCommand("Strudel", "OnSlashCommand");
StrudelStoreConsole:RegisterChatCommand("Strudelstore", "OnSlashCommand");

--Default database values
local defaults = {
  char = {
	startupshow = true,
	currlayout = 1,
	showportaltab = true,
	showteleporttab = true,
	minimap = {
		show = true,
	},
  },
}
--Initializing the Addon
function StrudelStoreMain:OnInitialize()
self:RegisterEvent("VARIABLES_LOADED");
self.db = LibStub("AceDB-3.0"):New("StrudelStoreDB",defaults);
SetupConfig();
end
--Building the GUI
function StrudelStoreMain:VARIABLES_LOADED()
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
StrudelStoreConsole:Print("|cFF99CCFF [StrudelStore] |r" .. L["WelcomeMessage"]);
self.mainframe = BuildGui();
if not self.db.char.startupshow then
StrudelStoreGui:Release(self.mainframe);
end
CreateMinimapButton();
end

function CreateMinimapButton()
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
local StrudelStoreMiniMap = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("StrudelStore", {
	type = "launcher",
	icon = "Interface\\Icons\\Ability_Mage_ConjureFoodRank10",
	tocname = "StrudelStore",
	OnClick = function(clickedframe, button)
	  if button == "LeftButton" then
		ToggleMainWindow();
	   end
	   if button == "RightButton" then
		InterfaceOptionsFrame_OpenToCategory("StrudelStore "..GetAddOnMetadata("StrudelStore", "Version"));
	   end
	end,		
	OnTooltipShow = function(tt)
		tt:AddLine("StrudelStore")
		tt:AddLine("|cFF00FF00"..L["InstructionsMinimap"])
	end,		
});
LibStub("LibDBIcon-1.0"):Register("StrudelStore", StrudelStoreMiniMap, StrudelStoreMain.db.char.minimap);
end
