--******************************
--CONJURING
--******************************
function GetConjureButtons()
  local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
  local buttons = {};
  local sst_refreshbutton = StrudelStoreGui:Create("SecureActionTemplateButton")
  sst_refreshbutton:SetText(L["RefreshButton"]);
  sst_refreshbutton:SetWidth(110);
  sst_refreshbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(42955)));
  sst_refreshbutton:SetAction("spell",GetSpellInfo(42955));
  table.insert(buttons,sst_refreshbutton);
  
  local sst_tablebutton = StrudelStoreGui:Create("SecureActionTemplateButton")
  sst_tablebutton:SetText(L["TableButton"]);
  sst_tablebutton:SetWidth(110);
  sst_tablebutton:SetDisabled(not IsUsableSpell(GetSpellInfo(43987)));
  sst_tablebutton:SetAction("spell",GetSpellInfo(43987));
  table.insert(buttons,sst_tablebutton);
  
  local sst_managembutton = StrudelStoreGui:Create("SecureActionTemplateButton")
  sst_managembutton:SetText(L["ManagemButton"]);
  sst_managembutton:SetWidth(110);
  sst_managembutton:SetDisabled(not IsUsableSpell(GetSpellInfo(759)));
  sst_managembutton:SetAction("spell",GetSpellInfo(759));
  table.insert(buttons,sst_managembutton);
  return buttons;
end

--******************************
--PORTALS
--******************************
function GetPortalButtons()
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
local buttons = {};
local iconwidth = 35;
local iconheight = 35;
local iconoffset = 6;
if UnitFactionGroup("player") == "Alliance" then
	local sst_stormwindbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_stormwindbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalstormwind");
	sst_stormwindbutton:SetImageSize(iconwidth, iconheight);
	sst_stormwindbutton:SetWidth(iconwidth + iconoffset);
	sst_stormwindbutton:SetHeight(iconheight);
	sst_stormwindbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(10059)));
	sst_stormwindbutton:SetAction("spell",GetSpellInfo(10059));
	--sst_stormwindbutton:SetCallback("OnEnter",function(widget) GameTooltip:SetOwner(widget.frame, "ANCHOR_TOPRIGHT");
	--														   GameTooltip:SetText(L["StormwindButton"], nil, nil, nil, 0.5, 1); end);
	sst_stormwindbutton:SetTooltip(L["StormwindButton"]);
	table.insert(buttons,sst_stormwindbutton);
	
	local sst_ironforgebutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_ironforgebutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalironforge");
	sst_ironforgebutton:SetImageSize(iconwidth, iconheight);
	sst_ironforgebutton:SetWidth(iconwidth + iconoffset);
	sst_ironforgebutton:SetHeight(iconheight);
	sst_ironforgebutton:SetDisabled(not IsUsableSpell(GetSpellInfo(11416)));
	sst_ironforgebutton:SetAction("spell",GetSpellInfo(11416));
	sst_ironforgebutton:SetTooltip(L["IronforgeButton"]);
	table.insert(buttons,sst_ironforgebutton);
	
	local sst_darnassusbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_darnassusbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portaldarnassus");
	sst_darnassusbutton:SetImageSize(iconwidth, iconheight);
	sst_darnassusbutton:SetWidth(iconwidth + iconoffset);
	sst_darnassusbutton:SetHeight(iconheight);
	sst_darnassusbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(11419)));
	sst_darnassusbutton:SetAction("spell",GetSpellInfo(11419));
	table.insert(buttons,sst_darnassusbutton);
	
	local sst_exodarbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_exodarbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalexodar");
	sst_exodarbutton:SetImageSize(iconwidth, iconheight);
	sst_exodarbutton:SetWidth(iconwidth + iconoffset);
	sst_exodarbutton:SetHeight(iconheight);
	sst_exodarbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(32266)));
	sst_exodarbutton:SetAction("spell",GetSpellInfo(32266));
	table.insert(buttons,sst_exodarbutton);
	
	local sst_shattrathbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_shattrathbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalshattrath");
	sst_shattrathbutton:SetImageSize(iconwidth, iconheight);
	sst_shattrathbutton:SetWidth(iconwidth + iconoffset);
	sst_shattrathbutton:SetHeight(iconheight);
	sst_shattrathbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(33691)));
	sst_shattrathbutton:SetAction("spell",GetSpellInfo(33691));
	table.insert(buttons,sst_shattrathbutton);
	
	local sst_dalaranbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_dalaranbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portaldalaran");
	sst_dalaranbutton:SetImageSize(iconwidth, iconheight);
	sst_dalaranbutton:SetWidth(iconwidth + iconoffset);
	sst_dalaranbutton:SetHeight(iconheight);
	sst_dalaranbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(53142)));
	sst_dalaranbutton:SetAction("spell",GetSpellInfo(53142));
	table.insert(buttons,sst_dalaranbutton);
	
	local sst_theramorebutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_theramorebutton:SetImage("Interface\\Icons\\Spell_Arcane_Portaltheramore");
	sst_theramorebutton:SetImageSize(iconwidth, iconheight);
	sst_theramorebutton:SetWidth(iconwidth + iconoffset);
	sst_theramorebutton:SetHeight(iconheight);
	sst_theramorebutton:SetDisabled(not IsUsableSpell(GetSpellInfo(49360)));
	sst_theramorebutton:SetAction("spell",GetSpellInfo(49360));
	table.insert(buttons,sst_theramorebutton);
	
	local sst_tolbaradbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_tolbaradbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portaltolbarad");
	sst_tolbaradbutton:SetImageSize(iconwidth, iconheight);
	sst_tolbaradbutton:SetWidth(iconwidth + iconoffset);
	sst_tolbaradbutton:SetHeight(iconheight);
	sst_tolbaradbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(88345)));
	sst_tolbaradbutton:SetAction("spell",GetSpellInfo(88345));
	table.insert(buttons,sst_tolbaradbutton);
elseif UnitFactionGroup("player") == "Horde" then
	local sst_orgrimmarbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_orgrimmarbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalorgrimmar");
	sst_orgrimmarbutton:SetImageSize(iconwidth, iconheight);
	sst_orgrimmarbutton:SetWidth(iconwidth);
	sst_orgrimmarbutton:SetHeight(iconheight + iconoffset);
	sst_orgrimmarbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(11417)));
	sst_orgrimmarbutton:SetAction("spell",GetSpellInfo(11417));
	table.insert(buttons,sst_orgrimmarbutton);
	
	local sst_thunderbluffbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_thunderbluffbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalthunderbluff");
	sst_thunderbluffbutton:SetImageSize(iconwidth, iconheight);
	sst_thunderbluffbutton:SetWidth(iconwidth + iconoffset);
	sst_thunderbluffbutton:SetHeight(iconheight);
	sst_thunderbluffbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(11420)));
	sst_thunderbluffbutton:SetAction("spell",GetSpellInfo(11420));
	table.insert(buttons,sst_thunderbluffbutton);
	
	local sst_undercitybutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_undercitybutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalundercity");
	sst_undercitybutton:SetImageSize(iconwidth, iconheight);
	sst_undercitybutton:SetWidth(iconwidth + iconoffset);
	sst_undercitybutton:SetHeight(iconheight);
	sst_undercitybutton:SetDisabled(not IsUsableSpell(GetSpellInfo(11418)));
	sst_undercitybutton:SetAction("spell",GetSpellInfo(11418));
	table.insert(buttons,sst_undercitybutton);
	
	local sst_silvermoonbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_silvermoonbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalsilvermoon");
	sst_silvermoonbutton:SetImageSize(iconwidth, iconheight);
	sst_silvermoonbutton:SetWidth(iconwidth + iconoffset);
	sst_silvermoonbutton:SetHeight(iconheight);
	sst_silvermoonbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(32267)));
	sst_silvermoonbutton:SetAction("spell",GetSpellInfo(32267));
	table.insert(buttons,sst_silvermoonbutton);
	
	local sst_shattrathbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_shattrathbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalshattrath");
	sst_shattrathbutton:SetImageSize(iconwidth, iconheight);
	sst_shattrathbutton:SetWidth(iconwidth + iconoffset);
	sst_shattrathbutton:SetHeight(iconheight);
	sst_shattrathbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(35717)));
	sst_shattrathbutton:SetAction("spell",GetSpellInfo(35717));
	table.insert(buttons,sst_shattrathbutton);
	
	local sst_dalaranbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_dalaranbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portaldalaran");
	sst_dalaranbutton:SetImageSize(iconwidth, iconheight);
	sst_dalaranbutton:SetWidth(iconwidth + iconoffset);
	sst_dalaranbutton:SetHeight(iconheight);
	sst_dalaranbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(53142)));
	sst_dalaranbutton:SetAction("spell",GetSpellInfo(53142));
	table.insert(buttons,sst_dalaranbutton);
	
	local sst_stonardbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_stonardbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portalstonard");
	sst_stonardbutton:SetImageSize(iconwidth, iconheight);
	sst_stonardbutton:SetWidth(iconwidth + iconoffset);
	sst_stonardbutton:SetHeight(iconheight);
	sst_stonardbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(49361)));
	sst_stonardbutton:SetAction("spell",GetSpellInfo(49361));
	table.insert(buttons,sst_stonardbutton);
	
	local sst_tolbaradbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_tolbaradbutton:SetImage("Interface\\Icons\\Spell_Arcane_Portaltolbarad");
	sst_tolbaradbutton:SetImageSize(iconwidth, iconheight);
	sst_tolbaradbutton:SetWidth(iconwidth + iconoffset);
	sst_tolbaradbutton:SetHeight(iconheight);
	sst_tolbaradbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(88346)));
	sst_tolbaradbutton:SetAction("spell",GetSpellInfo(88346));
	table.insert(buttons,sst_tolbaradbutton);
else
	StrudelStoreConsole:Print("Please choose a faction first")
end
return buttons;
end
--******************************
--TELEPORTS
--******************************
function GetTeleportButtons()
local buttons = {};
local iconwidth = 35;
local iconheight = 35;
local iconoffset = 6;
if UnitFactionGroup("player") == "Alliance" then
	local sst_stormwindbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_stormwindbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportstormwind");
	sst_stormwindbutton:SetImageSize(iconwidth, iconheight);
	sst_stormwindbutton:SetWidth(iconwidth + iconoffset);
	sst_stormwindbutton:SetHeight(iconheight);
	sst_stormwindbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(3561)));
	sst_stormwindbutton:SetAction("spell",GetSpellInfo(3561));
	table.insert(buttons,sst_stormwindbutton);
	
	local sst_ironforgebutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_ironforgebutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportironforge");
	sst_ironforgebutton:SetImageSize(iconwidth, iconheight);
	sst_ironforgebutton:SetWidth(iconwidth + iconoffset);
	sst_ironforgebutton:SetHeight(iconheight);
	sst_ironforgebutton:SetDisabled(not IsUsableSpell(GetSpellInfo(3562)));
	sst_ironforgebutton:SetAction("spell",GetSpellInfo(3562));
	table.insert(buttons,sst_ironforgebutton);
	
	local sst_darnassusbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_darnassusbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportdarnassus");
	sst_darnassusbutton:SetImageSize(iconwidth, iconheight);
	sst_darnassusbutton:SetWidth(iconwidth + iconoffset);
	sst_darnassusbutton:SetHeight(iconheight);
	sst_darnassusbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(3565)));
	sst_darnassusbutton:SetAction("spell",GetSpellInfo(3565));
	table.insert(buttons,sst_darnassusbutton);
	
	local sst_exodarbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_exodarbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportexodar");
	sst_exodarbutton:SetImageSize(iconwidth, iconheight);
	sst_exodarbutton:SetWidth(iconwidth + iconoffset);
	sst_exodarbutton:SetHeight(iconheight);
	sst_exodarbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(32271)));
	sst_exodarbutton:SetAction("spell",GetSpellInfo(32271));
	table.insert(buttons,sst_exodarbutton);
	
	local sst_shattrathbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_shattrathbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportshattrath");
	sst_shattrathbutton:SetImageSize(iconwidth, iconheight);
	sst_shattrathbutton:SetWidth(iconwidth + iconoffset);
	sst_shattrathbutton:SetHeight(iconheight);
	sst_shattrathbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(33690)));
	sst_shattrathbutton:SetAction("spell",GetSpellInfo(33690));
	table.insert(buttons,sst_shattrathbutton);
	
	local sst_dalaranbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_dalaranbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportdalaran");
	sst_dalaranbutton:SetImageSize(iconwidth, iconheight);
	sst_dalaranbutton:SetWidth(iconwidth + iconoffset);
	sst_dalaranbutton:SetHeight(iconheight);
	sst_dalaranbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(53140)));
	sst_dalaranbutton:SetAction("spell",GetSpellInfo(53140));
	table.insert(buttons,sst_dalaranbutton);
	
	local sst_theramorebutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_theramorebutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleporttheramore");
	sst_theramorebutton:SetImageSize(iconwidth, iconheight);
	sst_theramorebutton:SetWidth(iconwidth + iconoffset);
	sst_theramorebutton:SetHeight(iconheight);
	sst_theramorebutton:SetDisabled(not IsUsableSpell(GetSpellInfo(49359)));
	sst_theramorebutton:SetAction("spell",GetSpellInfo(49359));
	table.insert(buttons,sst_theramorebutton);
	
	local sst_tolbaradbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_tolbaradbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleporttolbarad");
	sst_tolbaradbutton:SetImageSize(iconwidth, iconheight);
	sst_tolbaradbutton:SetWidth(iconwidth + iconoffset);
	sst_tolbaradbutton:SetHeight(iconheight);
	sst_tolbaradbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(88342)));
	sst_tolbaradbutton:SetAction("spell",GetSpellInfo(88342));
	table.insert(buttons,sst_tolbaradbutton);
elseif UnitFactionGroup("player") == "Horde" then
	local sst_orgrimmarbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_orgrimmarbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportorgrimmar");
	sst_orgrimmarbutton:SetImageSize(iconwidth, iconheight);
	sst_orgrimmarbutton:SetWidth(iconwidth + iconoffset);
	sst_orgrimmarbutton:SetHeight(iconheight);
	sst_orgrimmarbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(3567)));
	sst_orgrimmarbutton:SetAction("spell",GetSpellInfo(3567));
	table.insert(buttons,sst_orgrimmarbutton);
	
	local sst_thunderbluffbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_thunderbluffbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportthunderbluff");
	sst_thunderbluffbutton:SetImageSize(iconwidth, iconheight);
	sst_thunderbluffbutton:SetWidth(iconwidth + iconoffset);
	sst_thunderbluffbutton:SetHeight(iconheight);
	sst_thunderbluffbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(3566)));
	sst_thunderbluffbutton:SetAction("spell",GetSpellInfo(3566));
	table.insert(buttons,sst_thunderbluffbutton);
	
	local sst_undercitybutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_undercitybutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportundercity");
	sst_undercitybutton:SetImageSize(iconwidth, iconheight);
	sst_undercitybutton:SetWidth(iconwidth + iconoffset);
	sst_undercitybutton:SetHeight(iconheight);
	sst_undercitybutton:SetDisabled(not IsUsableSpell(GetSpellInfo(3563)));
	sst_undercitybutton:SetAction("spell",GetSpellInfo(3563));
	table.insert(buttons,sst_undercitybutton);
	
	local sst_silvermoonbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_silvermoonbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportsilvermoon");
	sst_silvermoonbutton:SetImageSize(iconwidth, iconheight);
	sst_silvermoonbutton:SetWidth(iconwidth + iconoffset);
	sst_silvermoonbutton:SetHeight(iconheight);
	sst_silvermoonbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(32272)));
	sst_silvermoonbutton:SetAction("spell",GetSpellInfo(32272));
	table.insert(buttons,sst_silvermoonbutton);
	
	local sst_shattrathbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_shattrathbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportshattrath");
	sst_shattrathbutton:SetImageSize(iconwidth, iconheight);
	sst_shattrathbutton:SetWidth(iconwidth + iconoffset);
	sst_shattrathbutton:SetHeight(iconheight);
	sst_shattrathbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(35715)));
	sst_shattrathbutton:SetAction("spell",GetSpellInfo(35715));
	table.insert(buttons,sst_shattrathbutton);
	
	local sst_dalaranbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_dalaranbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportdalaran");
	sst_dalaranbutton:SetImageSize(iconwidth, iconheight);
	sst_dalaranbutton:SetWidth(iconwidth + iconoffset);
	sst_dalaranbutton:SetHeight(iconheight);
	sst_dalaranbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(53140)));
	sst_dalaranbutton:SetAction("spell",GetSpellInfo(53140));
	table.insert(buttons,sst_dalaranbutton);
	
	local sst_stonardbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_stonardbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleportstonard");
	sst_stonardbutton:SetImageSize(iconwidth, iconheight);
	sst_stonardbutton:SetWidth(iconwidth + iconoffset);
	sst_stonardbutton:SetHeight(iconheight);
	sst_stonardbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(49358)));
	sst_stonardbutton:SetAction("spell",GetSpellInfo(49358));
	table.insert(buttons,sst_stonardbutton);
	
	local sst_tolbaradbutton = StrudelStoreGui:Create("SecureActionTemplateIcon")
	sst_tolbaradbutton:SetImage("Interface\\Icons\\Spell_Arcane_Teleporttolbarad");
	sst_tolbaradbutton:SetImageSize(iconwidth, iconheight);
	sst_tolbaradbutton:SetWidth(iconwidth + iconoffset);
	sst_tolbaradbutton:SetHeight(iconheight);
	sst_tolbaradbutton:SetDisabled(not IsUsableSpell(GetSpellInfo(88344)));
	sst_tolbaradbutton:SetAction("spell",GetSpellInfo(88344));
	table.insert(buttons,sst_tolbaradbutton);
else
	StrudelStoreConsole:Print("Please choose a faction first")
end
return buttons;
end